Ogre::Terrain::DerivedDataRequest Struct Reference

A data holder for communicating with the background derived data update. More...

`#include <OgreTerrain.h>`

List of all members.

## Public Attributes

Terrain * | terrain
uint8 | typeMask
Rect | dirtyRect
Rect | lightmapExtraDirtyRect

## Friends

_OgreTerrainExport friend std::ostream & | operator<< (std::ostream &o, const DerivedDataRequest &r)

## Detailed Description

A data holder for communicating with the background derived data update.

Definition at line 1721 of file OgreTerrain.h.

## Friends And Related Function Documentation

_OgreTerrainExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const DerivedDataRequest & | r
| ) |  | `[friend]`

Definition at line 1728 of file OgreTerrain.h.

## Member Data Documentation

Rect Ogre::Terrain::DerivedDataRequest::dirtyRect

Definition at line 1726 of file OgreTerrain.h.

Rect Ogre::Terrain::DerivedDataRequest::lightmapExtraDirtyRect

Definition at line 1727 of file OgreTerrain.h.

Terrain* Ogre::Terrain::DerivedDataRequest::terrain

Definition at line 1723 of file OgreTerrain.h.

uint8 Ogre::Terrain::DerivedDataRequest::typeMask

Definition at line 1725 of file OgreTerrain.h.

The documentation for this struct was generated from the following file:

- OgreTerrain.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:44